Debian Bug report logs - #627704
Realtek Ethernet adapters (r8169 driver)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Mon, 23 May 2011 18:45:08 UTC

Severity: important

Found in version 2.6.32-34

Fixed in versions linux-2.6/2.6.32-36, user-mode-linux/2.6.32-1um-4+37

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Mon, 23 May 2011 18:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 18:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: submit@bugs.debian.org
Subject: Realtek Ethernet adapters (r8169 driver)
Date: Mon, 23 May 2011 11:43:26 -0700
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-34
Severity: important

The r8169 driver in this kernel version is missing important bug fixes
for the RTL8102E and RTL8168DP.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Tue, 24 May 2011 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 07:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 627704@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627704@bugs.debian.org
Subject: [Fwd: Re: Testing new hardware support for Debian 6.0.2]
Date: Tue, 24 May 2011 00:19:21 -0700
-------- Forwarded Message --------
From: Luis Henriques <luis.henrix@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Testing new hardware support for Debian 6.0.2
Date: Mon, 23 May 2011 22:50:33 +0100

Hi,

On Mon, May 23, 2011 at 11:53:14AM -0700, Ben Hutchings wrote:
> How to test
> -----------
> 
> For network drivers, I suggest the following regression tests:
> 
>      1. If the driver tries to load firmware (only required for some
>         chips), does this work once the firmware file(s) are installed? 
>      2. Can you receive and transmit VLAN-tagged frames after creating a
>         VLAN interface? 
>      3. Does the interface work after suspend and resume? 
>      4. Does the interface work after removing the cable for 10 seconds
>         and reinserting it? 
>      5. Does multicast configuration work? (IPv6 autoconfiguration or
>         mDNS will cover this.) 
>      6. Can the interface send and receive TCP/IP across a LAN at the
>         same speed, before and after these changes? (Use e.g. netperf to
>         test this, but don't forget to remove the netperf package after
>         use.) 
>      7. Are any warnings or errors logged by the kernel during the
>         preceding tests? 

I finally had some time to run some quick tests on my laptop which is
using the r8169 driver.

As a general comment, everything seems to be working OK, and I saw no
errors.

Here's the device I'm using:

lspci -s 0e:00.0 -vv
0e:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 01)
        Subsystem: Toshiba America Info Systems Device ff00
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 28
        Region 0: I/O ports at a000 [size=256]
        Region 2: Memory at f8100000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at 84400000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [48] Vital Product Data
                Unknown small resource type 05, will not decode more.
        Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
                Address: 00000000fee0300c  Data: 4179
        Capabilities: [60] Express (v1) Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <128ns, L1 unlimited
                        ExtTag+ AttnBtn+ AttnInd+ PwrInd+ RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 unlimited, L1 unlimited
                        ClockPM- Surprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [84] Vendor Specific Information: Len=4c <?>
        Capabilities: [100 v1] Advanced Error Reporting
                UESta:  DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
                UEMsk:  DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
                UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
                CESta:  RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
                CEMsk:  RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
                AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
        Capabilities: [12c v1] Virtual Channel
                Caps:   LPEVC=0 RefClk=100ns PATEntryBits=1
                Arb:    Fixed- WRR32- WRR64- WRR128-
                Ctrl:   ArbSelect=Fixed
                Status: InProgress-
                VC0:    Caps:   PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
                        Arb:    Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
                        Ctrl:   Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
                        Status: NegoPending- InProgress-
        Capabilities: [148 v1] Device Serial Number 02-00-00-00-10-ec-81-36
        Capabilities: [154 v1] Power Budgeting <?>
        Kernel driver in use: r8169


Unfortunately, I haven't executed all the tests you have suggested.
Basically, I have executed the netperf tests but I couldn't see any
relevant throught modifications.  I recorded the netperf test logs here:

  http://henrix.tuxfamily.org/netdev/

You'll find 2 directories: one with the tests results for the kernel
packaged I downloaded from people.debian.org and another using my own
custom 2.6.39 kernel.

I have also executed the suspend to memory/disk tests.  Everything seems
to work as expected.

Although I was not able to run all the tests you are asking (both for the
lack of free time and for lack of knowledge -- No idea how to test the VLAN
stuff, for example) I hope these test report can help.  Any comments are
appreciated about anything wrong I might have done.

Regards,
--
Luis Henriques






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sat, 28 May 2011 09:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 May 2011 09:12:16 GMT) Full text and rfc822 format available.

Message #15 received at 627704@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627704@bugs.debian.org
Subject: Re: Realtek Ethernet adapters (r8169 driver)
Date: Sat, 28 May 2011 11:11:23 +0200
On Mon, May 23, 2011 at 11:43:26AM -0700, Ben Hutchings wrote:
> Package: linux-2.6
> Version: 2.6.32-34
> Severity: important
> 
> The r8169 driver in this kernel version is missing important bug fixes
> for the RTL8102E and RTL8168DP.

The card revision was already supported with the initial Squeeze kernel
and everything is still working fine with the updated kernel for the
following device:

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
        Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard
        Flags: bus master, fast devsel, latency 0, IRQ 26
        I/O ports at c000 [size=256]
        Memory at e1510000 (64-bit, prefetchable) [size=4K]
        Memory at e1500000 (64-bit, prefetchable) [size=64K]
        [virtual] Expansion ROM at e1520000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 01
        Capabilities: [b0] MSI-X: Enable- Count=2 Masked-
        Capabilities: [d0] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
        Capabilities: [160] Device Serial Number 12-34-56-78-12-34-56-78
        Kernel driver in use: r8169

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sun, 05 Jun 2011 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Jun 2011 20:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 627704@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: 627704@bugs.debian.org
Subject: Re: Realtek Ethernet adapters (r8169 driver)
Date: Sun, 05 Jun 2011 21:36:05 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2011-05-28 at 11:11 +0200, Moritz Mühlenhoff wrote:
> On Mon, May 23, 2011 at 11:43:26AM -0700, Ben Hutchings wrote:
> > Package: linux-2.6
> > Version: 2.6.32-34
> > Severity: important
> > 
> > The r8169 driver in this kernel version is missing important bug fixes
> > for the RTL8102E and RTL8168DP.
> 
> The card revision was already supported with the initial Squeeze kernel
> and everything is still working fine with the updated kernel for the
> following device:

What is the reported XID for this device?  Did you do all the regression
tests suggested in
<http://womble.decadent.org.uk/blog/testing-new-hardware-support-for-debian-602.html>?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Wed, 08 Jun 2011 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Jun 2011 20:09:06 GMT) Full text and rfc822 format available.

Message #25 received at 627704@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627704@bugs.debian.org
Subject: Re: Realtek Ethernet adapters (r8169 driver)
Date: Wed, 8 Jun 2011 22:07:05 +0200
On Sun, Jun 05, 2011 at 09:36:05PM +0100, Ben Hutchings wrote:
> On Sat, 2011-05-28 at 11:11 +0200, Moritz Mühlenhoff wrote:
> > On Mon, May 23, 2011 at 11:43:26AM -0700, Ben Hutchings wrote:
> > > Package: linux-2.6
> > > Version: 2.6.32-34
> > > Severity: important
> > > 
> > > The r8169 driver in this kernel version is missing important bug fixes
> > > for the RTL8102E and RTL8168DP.
> > 
> > The card revision was already supported with the initial Squeeze kernel
> > and everything is still working fine with the updated kernel for the
> > following device:
> 
> What is the reported XID for this device?  Did you do all the regression
> tests suggested in
> <http://womble.decadent.org.uk/blog/testing-new-hardware-support-for-debian-602.html>?

I performed all checks except the VLAN ones (for which I'm unsure what
and how to test it).

The XID is 1c4000c0

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Wed, 08 Jun 2011 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Jun 2011 20:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 627704@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 627704@bugs.debian.org
Subject: Re: Realtek Ethernet adapters (r8169 driver)
Date: Wed, 8 Jun 2011 21:10:56 +0100
On Wed, Jun 08, 2011 at 10:07:05PM +0200, Moritz Muehlenhoff wrote:
> On Sun, Jun 05, 2011 at 09:36:05PM +0100, Ben Hutchings wrote:
> > On Sat, 2011-05-28 at 11:11 +0200, Moritz Mühlenhoff wrote:
> > > On Mon, May 23, 2011 at 11:43:26AM -0700, Ben Hutchings wrote:
> > > > Package: linux-2.6
> > > > Version: 2.6.32-34
> > > > Severity: important
> > > > 
> > > > The r8169 driver in this kernel version is missing important bug fixes
> > > > for the RTL8102E and RTL8168DP.
> > > 
> > > The card revision was already supported with the initial Squeeze kernel
> > > and everything is still working fine with the updated kernel for the
> > > following device:
> > 
> > What is the reported XID for this device?  Did you do all the regression
> > tests suggested in
> > <http://womble.decadent.org.uk/blog/testing-new-hardware-support-for-debian-602.html>?
> 
> I performed all checks except the VLAN ones (for which I'm unsure what
> and how to test it).
 
Use vconfig to create a VLAN interface on top of the r8169 interface
(e.g. 'vconfig add eth0 2', creating interfacce eth0.2).  Do the same
on some other machine on the same LAN using the same VID.  Assign
addresses to the VLAN interfaces and try to pass traffic between them.

> The XID is 1c4000c0

Thanks.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Wed, 08 Jun 2011 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Jun 2011 21:03:05 GMT) Full text and rfc822 format available.

Message #35 received at 627704@bugs.debian.org (full text, mbox):

From: Stappers <stappers@stappers.nl>
To: Ben Hutchings <ben@decadent.org.uk>, Moritz Muehlenhoff <jmm@inutil.org>
Cc: 627704@bugs.debian.org
Subject: VLAN test with 'ip' WAS: Bug#627704: Realtek Ethernet adapters (r8169 driver)
Date: Wed, 8 Jun 2011 22:55:24 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 08, 2011 at 09:10:56PM +0100, Ben Hutchings wrote:
> On Wed, Jun 08, 2011 at 10:07:05PM +0200, Moritz Muehlenhoff wrote:
> > 
> > I performed all checks except the VLAN ones (for which I'm unsure what
> > and how to test it).
>  
> Use vconfig to create a VLAN interface on top of the r8169 interface
> (e.g. 'vconfig add eth0 2', creating interfacce eth0.2).

On the Internet is stated in many places that vconfig is deprecated.
One place of them is http://bugs.debian.org/501402

The replacement is in 'ip' from the 'iproute' package.

> Do the same on some other machine on the same LAN using the same VID.
> Assign addresses to the VLAN interfaces and try to pass traffic between them.

Here an example to check VLAN without installing vconfig.
Two hosts are used, 'viggo' and 'inertia'

|viggo:~
|# cat /proc/net/vlan/config 
|VLAN Dev name	 | VLAN ID
|Name-Type: VLAN_NAME_TYPE_RAW_PLUS_VID_NO_PAD
|viggo:~
|# ip link add link eth0 name eth0_foo type vlan id 100
|viggo:~
|# cat /proc/net/vlan/config 
|VLAN Dev name	 | VLAN ID
|Name-Type: VLAN_NAME_TYPE_RAW_PLUS_VID_NO_PAD
|eth0_foo       | 100  | eth0
|viggo:~
|# ifconfig eth0_foo 192.168.144.1
|viggo:~
|# 
|-----------8<----------8<--------
|inertia:~
|# ip link add link eth0 name foo type vlan id 100
|inertia:~
|# ifconfig foo 192.168.144.2
|inertia:~
|# ping -w 3 192.168.144.2
|PING 192.168.144.2 (192.168.144.2) 56(84) bytes of data.
|64 bytes from 192.168.144.2: icmp_req=1 ttl=64 time=0.025 ms
|64 bytes from 192.168.144.2: icmp_req=2 ttl=64 time=0.005 ms
|64 bytes from 192.168.144.2: icmp_req=3 ttl=64 time=0.004 ms
|64 bytes from 192.168.144.2: icmp_req=4 ttl=64 time=0.004 ms
|
|--- 192.168.144.2 ping statistics ---
|4 packets transmitted, 4 received, 0% packet loss, time 2999ms
|rtt min/avg/max/mdev = 0.004/0.009/0.025/0.009 ms
|inertia:~
|# ping -w 3 192.168.144.1
|PING 192.168.144.1 (192.168.144.1) 56(84) bytes of data.
|64 bytes from 192.168.144.1: icmp_req=1 ttl=64 time=3.40 ms
|64 bytes from 192.168.144.1: icmp_req=2 ttl=64 time=0.153 ms
|64 bytes from 192.168.144.1: icmp_req=3 ttl=64 time=0.157 ms
|64 bytes from 192.168.144.1: icmp_req=4 ttl=64 time=0.375 ms
|
|--- 192.168.144.1 ping statistics ---
|4 packets transmitted, 4 received, 0% packet loss, time 2999ms
|rtt min/avg/max/mdev = 0.153/1.023/3.408/1.379 ms
|inertia:~
|# ssh 192.168.144.1
|The authenticity of host '192.168.144.1 (192.168.144.1)' can't be established.
|RSA key fingerprint is c8:70:04:7f:c5:8d:52:e0:8e:04:4c:a1:bf:12:24:00.
|Are you sure you want to continue connecting (yes/no)? no
|Host key verification failed.
|inertia:~
|# ifconfig foo down
|inertia:~
|# ip link delete dev foo
|inertia:~
|# 

Hope this helps
at least it avoids installing the vlan package (for the obsolete vconfig)


Cheers
Geert Stappers

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Wed, 08 Jun 2011 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Jun 2011 23:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 627704@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stappers <stappers@stappers.nl>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 627704@bugs.debian.org
Subject: Re: VLAN test with 'ip' WAS: Bug#627704: Realtek Ethernet adapters (r8169 driver)
Date: Wed, 08 Jun 2011 23:58:45 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-06-08 at 22:55 +0200, Stappers wrote:
> On Wed, Jun 08, 2011 at 09:10:56PM +0100, Ben Hutchings wrote:
> > On Wed, Jun 08, 2011 at 10:07:05PM +0200, Moritz Muehlenhoff wrote:
> > > 
> > > I performed all checks except the VLAN ones (for which I'm unsure what
> > > and how to test it).
> >  
> > Use vconfig to create a VLAN interface on top of the r8169 interface
> > (e.g. 'vconfig add eth0 2', creating interfacce eth0.2).
> 
> On the Internet is stated in many places that vconfig is deprecated.
> One place of them is http://bugs.debian.org/501402
> 
> The replacement is in 'ip' from the 'iproute' package.
[...]

I know, but I still remember how to use vconfig. :-)

Ben.

-- 
Ben Hutchings
Lowery's Law:
             If it jams, force it. If it breaks, it needed replacing anyway.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Thu, 14 Jul 2011 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Schade <markus.schade@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jul 2011 12:09:24 GMT) Full text and rfc822 format available.

Message #45 received at 627704@bugs.debian.org (full text, mbox):

From: Markus Schade <markus.schade@gmail.com>
To: 627704@bugs.debian.org
Subject: Realtek Ethernet adapters (r8169 driver)
Date: Thu, 14 Jul 2011 13:46:45 +0200
Hi,

would it be possible to also include support for the 8168/8111E version?
While the nic is working more or less, there seems to be a bit more 
setup necessary.

Commits are 01dc7fec4025f6bb72b6b98ec88b375346b6dbbb and probably also
15ecd039b7182d725f4294e01f2fb12c3a88db17

Best regards,
Markus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Fri, 15 Jul 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 627704@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Markus Schade <markus.schade@gmail.com>, 627704@bugs.debian.org
Subject: Re: Bug#627704: Realtek Ethernet adapters (r8169 driver)
Date: Fri, 15 Jul 2011 15:17:15 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-14 at 13:46 +0200, Markus Schade wrote:
> Hi,
> 
> would it be possible to also include support for the 8168/8111E version?
> While the nic is working more or less, there seems to be a bit more 
> setup necessary.
> 
> Commits are 01dc7fec4025f6bb72b6b98ec88b375346b6dbbb and probably also
> 15ecd039b7182d725f4294e01f2fb12c3a88db17

Maybe, yes.  I'll definitely look at changes from 2.6.38 to 3.0.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 14 Aug 2011 22:57:08 GMT) Full text and rfc822 format available.

Added indication that bug 627704 blocks 624794,626220 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 03 Sep 2011 18:42:11 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 13 Sep 2011 20:06:21 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Tue, 13 Sep 2011 20:06:21 GMT) Full text and rfc822 format available.

Message #59 received at 627704-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627704-close@bugs.debian.org
Subject: Bug#627704: fixed in linux-2.6 2.6.32-36
Date: Tue, 13 Sep 2011 20:03:25 +0000
Source: linux-2.6
Source-Version: 2.6.32-36

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-36_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-36_all.deb
linux-2.6_2.6.32-36.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-36.diff.gz
linux-2.6_2.6.32-36.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-36.dsc
linux-base_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-36_all.deb
linux-doc-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-36_all.deb
linux-manual-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-36_all.deb
linux-patch-debian-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-36_all.deb
linux-source-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-36_all.deb
linux-support-2.6.32-5_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-36_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 12 Sep 2011 00:53:46 +0100
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all i386 source
Version: 2.6.32-36
Distribution: stable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 566522 620848 622259 622745 622997 627700 627702 627704 627705 630730 631465 632778 637659 637848 638656 638956 639425 639426 640650 641232
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-36) stable; urgency=low
 .
   [ maximilian attems ]
   * Add drm change from 2.6.32.41+drm33.18:
     - drm/radeon/kms: fix bad shift in atom iio table parser
   * [opvenz] ptrace: Don't allow to trace a process without memory map.
   * Add drm change from 2.6.32.42+drm33.19, including:
     - drm/i915: Add a no lvds quirk for the Asus EeeBox PC EB1007
     - drm/radeon/kms: fix for radeon on systems >4GB without hardware iommu
   * Add longterm release 2.6.32.43, including:
     - ksm: fix NULL pointer dereference in scan_get_next_rmap_item()
       (CVE-2011-2183)
     - TTY: ldisc, do not close until there are readers
     - uvcvideo: Remove buffers from the queues when freeing
     - inet_diag: fix inet_diag_bc_audit() (CVE-2011-2213)
     - net: filter: Use WARN_RATELIMIT
     - af_packet: prevent information leak
     - ipv6/udp: Use the correct variable to determine non-blocking condition
     - mm: prevent concurrent unmap_mapping_range() on the same inode
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.43
     and the bug report which this closes: #637848.
 .
   [ Ben Hutchings ]
   * Add longterm release 2.6.32.42, including:
     - ftrace: Only update the function code on write to filter files
     - kmemleak: Do not return a pointer to an object that kmemleak did not get
     - ext3: Fix fs corruption when make_indexed_dir() fails
     - jbd: fix fsync() tid wraparound bug
     - PCI: allow matching of prefetchable resources to non-prefetchable windows
       (Closes: #637659)
     - loop: handle on-demand devices correctly
     - xhci: Fix full speed bInterval encoding; fix interval calculation for
       FS isoc endpoints (regressions in 2.6.32-34)
     - OHCI: fix regression caused by nVidia shutdown workaround
       (regression in 2.6.32-31)
     - brd: handle on-demand devices correctly
     - xen mmu: fix a race window causing leave_mm BUG()
     - SCSI: Fix oops caused by queue refcounting failure
     - fat: Fix corrupt inode flags when remove ATTR_SYS flag
     - pata_cm64x: fix boot crash on parisc (Closes: #622745, #622997)
     - Revert "iwlagn: Support new 5000 microcode." (Closes: #632778)
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.42
     and the bug report which this closes: #631465.
   * [vserver] Update patch to 2.6.32.41-vs2.3.0.36.29.7
     - Apply sched changes deferred from 2.6.32.29
   * e1000e: Backport changes up to Linux 2.6.38 (Closes: #627700)
     - Add support for i82567V-4 and i82579
     - Fix support for i82577, i82578 and i82583
   * e1000e: Fix selection of alternate MAC address on device id 0x1060
     (regression in 2.6.34)
   * igb,igbvf: Backport changes up to Linux 3.0.4 (Closes: #627702)
     - Add support for i82576-ET2, i82580, DH89xxCC, i340 and i350
   * r8169: Backport changes up to Linux 3.0.2 (Closes: #627704)
     - Fix support for RTL8102E and RTL8168DP
     - Add support for RTL8105E, RTL8168E and another variant of RTL8168DP
     - Add support for D-Link DGE-530T rev C1
   * tg3,broadcom: Backport changes up to Linux 2.6.38 (Closes: #627705)
     - Add support for BCM5717, BCM5719, BCM57765
     - Add support for BCM50610M and BCM5241 PHYs
     - Fix support for BCM5755
   * Remove net device features from bug reports (Closes: #638956)
   * Revert "net/ipv4: Check for mistakenly passed in non-IPv4 address"
     included in 2.6.32.43, which might break some applications
   * Add longterm release 2.6.32.44, including:
     - NFSv4.1: update nfs4_fattr_bitmap_maxsz
     - hwmon: (max1111) Fix race condition causing NULL pointer exception
     - bridge: send proper message_age in config BPDU
     - USB: OHCI: fix another regression for NVIDIA controllers
       (Closes: #620848)
     - ext3: Fix oops in ext3_try_to_allocate_with_rsv()
     - svcrpc: fix list-corrupting race on nfsd shutdown
     - alpha: fix several security issues (CVE-2011-2208, CVE-2011-2209,
       CVE-2011-2210, CVE-2011-2211)
     - ALSA: sound/core/pcm_compat.c: adjust array index
     - atm: [br2684] allow routed mode operation again
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.44
     and the bug report which this closes: #639425.
   * Add longterm release 2.6.32.45, including:
     - ALSA: timer - Fix Oops at closing slave timer
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.45
     and the bug report which this closes: #639426.
   * sched: Work around sched_group::cpu_power == 0 (Ameliorates: #636797)
   * [x86] Revert "x86, hotplug: Use mwait to offline a processor, fix the
     legacy case" (Closes: #622259)
   * Fix bugs in IPv6 forwarding with GRO/GSO (Closes: #630730):
     - e1000e,igb,igbvf,ixgbe: Fix IPv6 GSO type checks
     - ipv6: Add GSO support on forwarding path
   * devpts: correctly check d_alloc_name() return code (Closes: #640650)
   * ipv6: make fragment identifications less predictable (CVE-2011-2699)
   * Add longterm release 2.6.32.46, including:
     - atm: br2864: sent packets truncated in VC routed mode (Closes: #638656)
     - hwmon: (ibmaem) add missing kfree
     - ALSA: snd-usb-caiaq: Correct offset fields of outbound iso_frame_desc
     - ALSA: snd_usb_caiaq: track submitted output urbs
     - futex: Fix regression with read only mappings
     - x86-32, vdso: On system call restart after SYSENTER, use int $0x80
     - fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.46
     and the bug report which this closes: #641232.
   * drm/ttm: fix ttm_bo_add_ttm(user) failure path
   * 3c503: fix broken IRQ autoprobing (Closes: #566522)
 395e73927ce73dd4fbd97a705deaf3d438fa81a76d948376ca62f10c6728e04d 6091 linux-2.6_2.6.32-36.dsc
 e410c97550d8fb029e57df655d0fa5a41af49e99f294b39be2a1bbba1bf83f4b 15632102 linux-2.6_2.6.32-36.diff.gz
Checksums-Sha1: 
 40952b2088d9a7cbef5382d16dcd10d0a8637b6f 6969 linux-2.6_2.6.32-36.dsc
 5f8b4430b32ec9f7908e9da6cde12e76b659eb5b 15632102 linux-2.6_2.6.32-36.diff.gz
 71e90023ec25f9ce865615aa47a89ee9842bd8e5 6061600 linux-doc-2.6.32_2.6.32-36_all.deb
 df85428bf12afdb48e0f6af566332762f062e5f1 2743112 linux-manual-2.6.32_2.6.32-36_all.deb
 24a686b9e2a97f32fff283a4ee457eba040b986a 9513858 linux-patch-debian-2.6.32_2.6.32-36_all.deb
 f53ffce19a9bcdfa687bf71a6fe942d7d2473c1a 65318950 linux-source-2.6.32_2.6.32-36_all.deb
 182aca06e8c3d104ed080e36472147a1835f319f 164070 linux-support-2.6.32-5_2.6.32-36_all.deb
 5c2578026c95dbd7ac6cd6f4c6242ae29b66cb5c 153056 firmware-linux-free_2.6.32-36_all.deb
 e84ea0a8b58db8ab08297783e89b80c85d6cbfdc 175306 linux-base_2.6.32-36_all.deb
Checksums-Sha256: 
 033df434a7f83a1cd2cd04f3bae959d47f284432a9a9ec524143e0bd2083281c 6969 linux-2.6_2.6.32-36.dsc
 e410c97550d8fb029e57df655d0fa5a41af49e99f294b39be2a1bbba1bf83f4b 15632102 linux-2.6_2.6.32-36.diff.gz
 b5864c6883b2ca3dcf1cd7bd2f9ce47d802d8ac9bd4b2cc23448ff40afc4ac7f 6061600 linux-doc-2.6.32_2.6.32-36_all.deb
 bc51016267eb24cfd31c22d7d3676000caea215f8fc5830f06475d909a0e5315 2743112 linux-manual-2.6.32_2.6.32-36_all.deb
 842ba329ad1e4a533c2839543ef4a19ac1e088c5a2665734b2e46fac790105dc 9513858 linux-patch-debian-2.6.32_2.6.32-36_all.deb
 063de878491d256b173ac17f3489eea2def1947b4b24bcea22024bd2d285710d 65318950 linux-source-2.6.32_2.6.32-36_all.deb
 b8423d47bb26c8f5b7ff29ca4bece3eb89c5bd5d0acd85878240413bc6b76ad8 164070 linux-support-2.6.32-5_2.6.32-36_all.deb
 fbbc04dfafb81c5421615d6a704adfb4af395183cf79759586c1dd837d77f5a6 153056 firmware-linux-free_2.6.32-36_all.deb
 9c3c4bd0cf860a9376f3ab6a60849eaddf426c80b2fd3505616e0f6a8b133e14 175306 linux-base_2.6.32-36_all.deb
Files: 
 105546ff97f0a3dce5e8f3794f530d70 6969 kernel optional linux-2.6_2.6.32-36.dsc
 da5e68258b7a0ebe6d4630ba9adb27ef 15632102 kernel optional linux-2.6_2.6.32-36.diff.gz
 ac74eb032bf471ff8c680610612e7fde 6061600 doc optional linux-doc-2.6.32_2.6.32-36_all.deb
 bb382bb939f4c3edaed1ea0c8910aec4 2743112 doc optional linux-manual-2.6.32_2.6.32-36_all.deb
 cb161796e0547fec650e24810db6b951 9513858 kernel optional linux-patch-debian-2.6.32_2.6.32-36_all.deb
 89fb19a7fd8bb7d97d32f9db39c5b206 65318950 kernel optional linux-source-2.6.32_2.6.32-36_all.deb
 ad6ece03a495dd64831620737e930a77 164070 devel optional linux-support-2.6.32-5_2.6.32-36_all.deb
 b5a821f914a820b1799ae85247437940 153056 kernel optional firmware-linux-free_2.6.32-36_all.deb
 be2fe5ef0c43e472c810b267f7aa2e2a 175306 kernel optional linux-base_2.6.32-36_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTm7VA+e/yOyVhhEJAQpXPhAAwgl8x8K/tHZL1OnF9H04X7nCrvbh23OY
KO57EFq1VPYdAGTFTOE6zmQFztrJ12pMHMhK4j56QhCbRZkQSBVHjYcTg1e446jW
HCS40sMKmvXVTbYcYF2bDaCNWDNf6e2wLVPy7iaD9WvgR5epCUCiSdi7rBpKLaKd
DcAUel/XTBz7aTdJ7QhSSjiT99A+xDp3zWNsG7F2XJ9Qjqyvt93Yqkd7fH1qrhWm
POCwB7ZyT8u/kYv5++lgW3eAYJJOYQiPZOcOZUBWs0wmg8YK1ILu096lt/RHN4DF
O1U/HVYC/R4myGpyAEqe26qZ3xC6WpmwugJDHJv9+Woj9sK5WTqqM5ML+8hMcfc7
Xrdi3xC8GK5xsRws1lvPUV1mla1ULO08C7p5+yIcDgdCpRq06iwUXsYno/dQ9VOn
VULQ4dHKGhGGvE5y5U0LtW1HQxgEoEA2RTRHEUZb9iyDYEbVa+u4ZhuB5/d8+2JC
2NNAHKxISBt0Z1e2fIIxsRHsb9V9zVwMLtgRAvHEjfLF5EIVDoLZyWSuqP4ZPsG6
FWBEg+a4DReW6lVbm2sW/CT6fSW9sGlvcs1bttTK2Fb+HjUbk4SYR3LAD0ROP3z2
uGDgKXuWA7qA1gM7Qkja2xQ6x7P/2HZ/wNTNgp0bHEhoEUzRLEDdVTaNbZxlr28F
uMkfIR8cW7M=
=wvFn
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sun, 25 Sep 2011 12:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Sep 2011 12:33:33 GMT) Full text and rfc822 format available.

Message #64 received at 627704@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 627704@bugs.debian.org
Subject: Realtek RTL8111E chip
Date: Sun, 25 Sep 2011 14:30:44 +0200
Hi,

Thank you for your work in debian,

So normally this will fix the problem I had in several distributions?

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/839393

Best regards,

HacKurx




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Mon, 26 Sep 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Sep 2011 00:51:04 GMT) Full text and rfc822 format available.

Message #69 received at 627704@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: HacKurx <hackurx@gmail.com>, 627704@bugs.debian.org
Subject: Re: Bug#627704: Realtek RTL8111E chip
Date: Mon, 26 Sep 2011 01:47:44 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-09-25 at 14:30 +0200, HacKurx wrote:
> Hi,
> 
> Thank you for your work in debian,
> 
> So normally this will fix the problem I had in several distributions?
> 
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/839393

Maybe; why don't you try it?

Ben.

-- 
Ben Hutchings
Lowery's Law:
             If it jams, force it. If it breaks, it needed replacing anyway.
[signature.asc (application/pgp-signature, inline)]

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Fri, 30 Sep 2011 20:15:22 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Fri, 30 Sep 2011 20:15:22 GMT) Full text and rfc822 format available.

Message #74 received at 627704-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 627704-close@bugs.debian.org
Subject: Bug#627704: fixed in user-mode-linux 2.6.32-1um-4+37
Date: Fri, 30 Sep 2011 20:12:51 +0000
Source: user-mode-linux
Source-Version: 2.6.32-1um-4+37

We believe that the bug you reported is fixed in the latest version of
user-mode-linux, which is due to be installed in the Debian FTP archive:

user-mode-linux_2.6.32-1um-4+37.diff.gz
  to main/u/user-mode-linux/user-mode-linux_2.6.32-1um-4+37.diff.gz
user-mode-linux_2.6.32-1um-4+37.dsc
  to main/u/user-mode-linux/user-mode-linux_2.6.32-1um-4+37.dsc
user-mode-linux_2.6.32-1um-4+37_amd64.deb
  to main/u/user-mode-linux/user-mode-linux_2.6.32-1um-4+37_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated user-mode-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Sep 2011 20:23:36 -0600
Source: user-mode-linux
Binary: user-mode-linux
Architecture: source amd64
Version: 2.6.32-1um-4+37
Distribution: stable
Urgency: high
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 user-mode-linux - User-mode Linux (kernel)
Closes: 566522 620848 622259 622745 622997 627700 627702 627704 627705 630730 631465 632778 637659 637848 638656 638956 639425 639426 640650 641232 641419 642380
Changes: 
 user-mode-linux (2.6.32-1um-4+37) stable; urgency=high
 .
   * Rebuild against linux-source-2.6.32 (2.6.32-37):
     * pm: Fix definition of SET_SYSTEM_SLEEP_PM_OPS used in backported drivers
       (fixes FTBFS on ia64)
     * splice: Fix write position in output file (Closes: #641419)
     * PCI: Add definition of pci_pcie_cap(), used in backported e1000e
       (fixes FTBFS on armel, mips, mipsel, sparc)
     * [openvz] cpt: Allow ext4 mounts (Closes: #642380)
     * Add drm change from 2.6.32.41+drm33.18:
       - drm/radeon/kms: fix bad shift in atom iio table parser
     * [opvenz] ptrace: Don't allow to trace a process without memory map.
     * Add drm change from 2.6.32.42+drm33.19, including:
       - drm/i915: Add a no lvds quirk for the Asus EeeBox PC EB1007
       - drm/radeon/kms: fix for radeon on systems >4GB without hardware iommu
     * Add longterm release 2.6.32.43, including:
       - ksm: fix NULL pointer dereference in scan_get_next_rmap_item()
         (CVE-2011-2183)
       - TTY: ldisc, do not close until there are readers
       - uvcvideo: Remove buffers from the queues when freeing
       - inet_diag: fix inet_diag_bc_audit() (CVE-2011-2213)
       - net: filter: Use WARN_RATELIMIT
       - af_packet: prevent information leak
       - ipv6/udp: Use the correct variable to determine non-blocking condition
       - mm: prevent concurrent unmap_mapping_range() on the same inode
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.43
       and the bug report which this closes: #637848.
     * Add longterm release 2.6.32.42, including:
       - ftrace: Only update the function code on write to filter files
       - kmemleak: Do not return a pointer to an object that kmemleak did not get
       - ext3: Fix fs corruption when make_indexed_dir() fails
       - jbd: fix fsync() tid wraparound bug
       - PCI: allow matching of prefetchable resources to non-prefetchable windows
         (Closes: #637659)
       - loop: handle on-demand devices correctly
       - xhci: Fix full speed bInterval encoding; fix interval calculation for
         FS isoc endpoints (regressions in 2.6.32-34)
       - OHCI: fix regression caused by nVidia shutdown workaround
         (regression in 2.6.32-31)
       - brd: handle on-demand devices correctly
       - xen mmu: fix a race window causing leave_mm BUG()
       - SCSI: Fix oops caused by queue refcounting failure
       - fat: Fix corrupt inode flags when remove ATTR_SYS flag
       - pata_cm64x: fix boot crash on parisc (Closes: #622745, #622997)
       - Revert "iwlagn: Support new 5000 microcode." (Closes: #632778)
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.42
       and the bug report which this closes: #631465.
     * [vserver] Update patch to 2.6.32.41-vs2.3.0.36.29.7
       - Apply sched changes deferred from 2.6.32.29
     * e1000e: Backport changes up to Linux 2.6.38 (Closes: #627700)
       - Add support for i82567V-4 and i82579
       - Fix support for i82577, i82578 and i82583
     * e1000e: Fix selection of alternate MAC address on device id 0x1060
       (regression in 2.6.34)
     * igb,igbvf: Backport changes up to Linux 3.0.4 (Closes: #627702)
       - Add support for i82576-ET2, i82580, DH89xxCC, i340 and i350
     * r8169: Backport changes up to Linux 3.0.2 (Closes: #627704)
       - Fix support for RTL8102E and RTL8168DP
       - Add support for RTL8105E, RTL8168E and another variant of RTL8168DP
       - Add support for D-Link DGE-530T rev C1
     * tg3,broadcom: Backport changes up to Linux 2.6.38 (Closes: #627705)
       - Add support for BCM5717, BCM5719, BCM57765
       - Add support for BCM50610M and BCM5241 PHYs
       - Fix support for BCM5755
     * Remove net device features from bug reports (Closes: #638956)
     * Revert "net/ipv4: Check for mistakenly passed in non-IPv4 address"
       included in 2.6.32.43, which might break some applications
     * Add longterm release 2.6.32.44, including:
       - NFSv4.1: update nfs4_fattr_bitmap_maxsz
       - hwmon: (max1111) Fix race condition causing NULL pointer exception
       - bridge: send proper message_age in config BPDU
       - USB: OHCI: fix another regression for NVIDIA controllers
         (Closes: #620848)
       - ext3: Fix oops in ext3_try_to_allocate_with_rsv()
       - svcrpc: fix list-corrupting race on nfsd shutdown
       - alpha: fix several security issues (CVE-2011-2208, CVE-2011-2209,
         CVE-2011-2210, CVE-2011-2211)
       - ALSA: sound/core/pcm_compat.c: adjust array index
       - atm: [br2684] allow routed mode operation again
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.44
       and the bug report which this closes: #639425.
     * Add longterm release 2.6.32.45, including:
       - ALSA: timer - Fix Oops at closing slave timer
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.45
       and the bug report which this closes: #639426.
     * sched: Work around sched_group::cpu_power == 0 (Ameliorates: #636797)
     * [x86] Revert "x86, hotplug: Use mwait to offline a processor, fix the
       legacy case" (Closes: #622259)
     * Fix bugs in IPv6 forwarding with GRO/GSO (Closes: #630730):
       - e1000e,igb,igbvf,ixgbe: Fix IPv6 GSO type checks
       - ipv6: Add GSO support on forwarding path
     * devpts: correctly check d_alloc_name() return code (Closes: #640650)
     * ipv6: make fragment identifications less predictable (CVE-2011-2699)
     * Add longterm release 2.6.32.46, including:
       - atm: br2864: sent packets truncated in VC routed mode (Closes: #638656)
       - hwmon: (ibmaem) add missing kfree
       - ALSA: snd-usb-caiaq: Correct offset fields of outbound iso_frame_desc
       - ALSA: snd_usb_caiaq: track submitted output urbs
       - futex: Fix regression with read only mappings
       - x86-32, vdso: On system call restart after SYSENTER, use int $0x80
       - fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.46
       and the bug report which this closes: #641232.
     * drm/ttm: fix ttm_bo_add_ttm(user) failure path
     * 3c503: fix broken IRQ autoprobing (Closes: #566522)
Checksums-Sha1: 
 1869e4e3bd2255256fd88bc2aa88a25d091c7d73 2030 user-mode-linux_2.6.32-1um-4+37.dsc
 73f04e650f2499dd02305298445072482658725e 17952 user-mode-linux_2.6.32-1um-4+37.diff.gz
 2bb102c3be4aa861b343fe0c23e82774ebd67ecc 7079528 user-mode-linux_2.6.32-1um-4+37_amd64.deb
Checksums-Sha256: 
 eed0a5cfbe40d929734f9d69eb92582b93c637ccf943ecc7bdcd6879cb372d6a 2030 user-mode-linux_2.6.32-1um-4+37.dsc
 ebf8970ea4b463ad781f9d70ac6e366f79876b181b200403b71f5731922462e4 17952 user-mode-linux_2.6.32-1um-4+37.diff.gz
 15d735560016bef67c765b55eb69e7946895fe96cea980597462a49150bf116a 7079528 user-mode-linux_2.6.32-1um-4+37_amd64.deb
Files: 
 211981a8378401bd4a2e23930d597f3e 2030 kernel extra user-mode-linux_2.6.32-1um-4+37.dsc
 bdf1b260c42d7fceb8156eb4259a1682 17952 kernel extra user-mode-linux_2.6.32-1um-4+37.diff.gz
 037c61fd01e7007d7dfc613b68ddc90d 7079528 kernel extra user-mode-linux_2.6.32-1um-4+37_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOhTOuAAoJEBv4PF5U/IZAnxAP/1+3d842OUG8kOQwJWWXFL07
tuLeobScGYt9MYgj+/sfZi3S8cYS547fjXp0oUlvB9H6llFP/IE7rLzCH7oN9tlv
Zuh63bGt7jLPYM6PNYovqpdkWCwMHEjI8jcK8eUk4Tr86HKU6fwsDKoJg3DnoMf+
jbQc6NZHCbg5nmfo41vuoyi6+zrTN1Acpbf+Cj/l+8BQs/2EZ3v03JM9ExfyyUrt
t4h/czCLJi+mRY7LsYgNDcDvT6bY9M+8cG6xlW32GjSV4okIQa73uinUe/87r5s7
rr4V4vcng6uMjawKC124OIPc4Rk1l3JF0V+x96YtSTCtZFTWqPBalaU7aEG8Pim8
5AKRyNXtWP1+wSJG3sPo1AjWhHy43wKNzQmBBWdo/4dBIX+c8GgYZiBN/l/aTOUn
W7WR1GAI7gxvt0MNAFwp2+AZuDJt0QnsgUFm7L6Gooy5em1Rg9qr2JxYt9K4bHs1
8UcSTOSg4Oj5gqHXv7622rb1C46tpniCVZkSuc7qTCceqCkVxX3mzYNGNixNlwiR
q9eOCfUVMMuoA3iJqQ6p42ICTZwgtjzepl85WnTDDr7RUc9iOXGRjdj/448alsbY
YqnIEw6DFweOU1hx7yNTiSHzfuq9Psmatwpu8vhZ0dpVDZal2Fq9sDUkGhk6q+43
dowrO9sr3Ge2Yw3Gswlh
=6K8r
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sat, 08 Oct 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 08 Oct 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #79 received at 627704@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 627704@bugs.debian.org
Subject: Realtek Ethernet adapters (r8169 driver)
Date: Sat, 8 Oct 2011 19:05:11 +0200
Unfortunately it has not changed much, the connection was not stable :

************
Debian 6.0.2
/sbin/modinfo r8169
filename:       /lib/modules/2.6.32-5-amd64/kernel/drivers/net/r8169.ko
firmware:       rtl_nic/rtl8168d-2.fw
firmware:       rtl_nic/rtl8168d-1.fw
version:        2.3LK-NAPI
license:        GPL
description:    RealTek RTL-8169 Gigabit Ethernet driver
author:         Realtek and the Linux r8169 crew <netdev@vger.kernel.org>
srcversion:     555A980E2261148DB67882F
alias:          pci:v00000001d00008168sv*sd00002410bc*sc*i*
alias:          pci:v00001737d00001032sv*sd00000024bc*sc*i*
alias:          pci:v000016ECd00000116sv*sd*bc*sc*i*
alias:          pci:v00001259d0000C107sv*sd*bc*sc*i*
alias:          pci:v00001186d00004300sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008169sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008168sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008167sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008136sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008129sv*sd*bc*sc*i*
depends:        mii
vermagic:       2.6.32-5-amd64 SMP mod_unload modversions
parm:           rx_copybreak:Copy breakpoint for copy-only-tiny-frames (int)
parm:           use_dac:Enable PCI DAC. Unsafe on 32 bit PCI slot. (int)
parm:           debug:Debug verbosity level (0=none, ..., 16=all) (int)

************
Debian 6.0.2
/sbin/modinfo r8169
filename:       /lib/modules/2.6.32-5-amd64/kernel/drivers/net/r8169.ko
firmware:       rtl_nic/rtl8105e-1.fw
firmware:       rtl_nic/rtl8168e-2.fw
firmware:       rtl_nic/rtl8168e-1.fw
firmware:       rtl_nic/rtl8168d-2.fw
firmware:       rtl_nic/rtl8168d-1.fw
version:        2.3LK-NAPI
license:        GPL
description:    RealTek RTL-8169 Gigabit Ethernet driver
author:         Realtek and the Linux r8169 crew <netdev@vger.kernel.org>
srcversion:     5CAA67108A468A93A3D3D29
alias:          pci:v00000001d00008168sv*sd00002410bc*sc*i*
alias:          pci:v00001737d00001032sv*sd00000024bc*sc*i*
alias:          pci:v000016ECd00000116sv*sd*bc*sc*i*
alias:          pci:v00001259d0000C107sv*sd*bc*sc*i*
alias:          pci:v00001186d00004302sv*sd*bc*sc*i*
alias:          pci:v00001186d00004300sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008169sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008168sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008167sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008136sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008129sv*sd*bc*sc*i*
depends:        mii
vermagic:       2.6.32-5-amd64 SMP mod_unload modversions
parm:           use_dac:Enable PCI DAC. Unsafe on 32 bit PCI slot. (int)
parm:           debug:Debug verbosity level (0=none, ..., 16=all) (int)

************
Kernel failure details :
Kernel failure message 1:
------------[ cut here ]------------
WARNING: at /build/buildd-linux-2.6_2.6.32-38-amd64-bk66e4/linux-2.6-2.6.32/debian/build/source_amd64_none/net/sched/sch_generic.c:261
dev_watchdog+0xe2/0x194()
Hardware name: GA-990XA-UD3
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
Modules linked in: parport_pc ppdev lp parport sco bridge stp bnep
rfcomm l2cap bluetooth rfkill powernow_k8 cpufreq_userspace
cpufreq_conservative cpufreq_powersave cpufreq_stats binfmt_misc
uinput fuse loop firewire_sbp2 snd_hda_codec_atihdmi
snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep radeon
snd_pcm snd_seq ttm snd_timer snd_seq_device drm_kms_helper snd
edac_core drm i2c_piix4 i2c_algo_bit k10temp soundcore snd_page_alloc
edac_mce_amd i2c_core pcspkr wmi button evdev processor serio_raw ext4
mbcache jbd2 crc16 usbhid hid sg sr_mod cdrom sd_mod crc_t10dif
ohci_hcd ahci libata firewire_ohci firewire_core crc_itu_t ehci_hcd
scsi_mod xhci r8169 usbcore thermal nls_base mii thermal_sys [last
unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Not tainted 2.6.32-5-amd64 #1
Call Trace:
 <IRQ>  [<ffffffff81262ba6>] ? dev_watchdog+0xe2/0x194
 [<ffffffff81262ba6>] ? dev_watchdog+0xe2/0x194
 [<ffffffff8104df9c>] ? warn_slowpath_common+0x77/0xa3
 [<ffffffff81262ac4>] ? dev_watchdog+0x0/0x194
 [<ffffffff8104e024>] ? warn_slowpath_fmt+0x51/0x59
 [<ffffffff8101654b>] ? sched_clock+0x5/0x8
 [<ffffffff8104a4ba>] ? try_to_wake_up+0x289/0x29b
 [<ffffffff810692df>] ? sched_clock_local+0x13/0x74
 [<ffffffff81262a98>] ? netif_tx_lock+0x3d/0x69
 [<ffffffff8124d8c6>] ? netdev_drivername+0x3b/0x40
 [<ffffffff81262ba6>] ? dev_watchdog+0xe2/0x194
 [<ffffffff8103fa2a>] ? __wake_up+0x30/0x44
 [<ffffffff810578a4>] ? cascade+0x5f/0x77
 [<ffffffff8105a67b>] ? run_timer_softirq+0x1c9/0x268
 [<ffffffff8106c5a9>] ? ktime_get+0x5c/0xb7
 [<ffffffff81053d2b>] ? __do_softirq+0xdd/0x1a6
 [<ffffffff81011cac>] ? call_softirq+0x1c/0x30
 [<ffffffff8101322b>] ? do_softirq+0x3f/0x7c
 [<ffffffff81053b9b>] ? irq_exit+0x36/0x76
 [<ffffffff81012922>] ? do_IRQ+0xa0/0xb6
 [<ffffffff810114d3>] ? ret_from_intr+0x0/0x11
 <EOI>  [<ffffffff8102c584>] ? native_safe_halt+0x2/0x3
 [<ffffffff81017201>] ? default_idle+0x34/0x51
 [<ffffffff8101756b>] ? c1e_idle+0xd3/0xfb
 [<ffffffff8100fe97>] ? cpu_idle+0xa2/0xda
---[ end trace 783d2c2e5aab599d ]---

************
ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
From 192.168.1.11 icmp_seq=12 Destination Host Unreachable
From 192.168.1.11 icmp_seq=13 Destination Host Unreachable
From 192.168.1.11 icmp_seq=14 Destination Host Unreachable
From 192.168.1.11 icmp_seq=17 Destination Host Unreachable
64 bytes from 8.8.8.8: icmp_req=87 ttl=52 time=1046 ms
64 bytes from 8.8.8.8: icmp_req=88 ttl=52 time=39.1 ms
64 bytes from 8.8.8.8: icmp_req=89 ttl=52 time=37.7 ms
From 192.168.1.11 icmp_seq=243 Destination Host Unreachable
From 192.168.1.11 icmp_seq=244 Destination Host Unreachable
From 192.168.1.11 icmp_seq=245 Destination Host Unreachable
From 192.168.1.11 icmp_seq=246 Destination Host Unreachable
64 bytes from 8.8.8.8: icmp_req=355 ttl=52 time=2047 ms
64 bytes from 8.8.8.8: icmp_req=356 ttl=52 time=1040 ms
64 bytes from 8.8.8.8: icmp_req=357 ttl=52 time=37.5 ms




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sat, 08 Oct 2011 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 08 Oct 2011 17:54:06 GMT) Full text and rfc822 format available.

Message #84 received at 627704@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 627704@bugs.debian.org
Subject: Realtek Ethernet adapters (r8169 driver)
Date: Sat, 8 Oct 2011 19:51:44 +0200
Here is what I have done to correct my problem :

apt-get install make linux-headers-2.6-amd64
wget http://r8168.googlecode.com/files/r8168-8.025.00.tar.bz2
tar -xvf r8168-8.025.00.tar.bz2
cd r8168-8.025.00
./autorun.sh
rmmod r8169
modprobe r8168
vim /etc/modprobe.d/blacklist.conf
blacklist r8169
update-initramfs -u
/etc/init.d/networking restart

************

/sbin/modinfo r8168
filename:       /lib/modules/2.6.32-5-amd64/kernel/drivers/net/r8168.ko
version:        8.025.00-NAPI
license:        GPL
description:    RealTek RTL-8168 Gigabit Ethernet driver
author:         Realtek and the Linux r8168 crew <netdev@vger.kernel.org>
srcversion:     69C39C537749C29781AC0A8
alias:          pci:v000010ECd00008168sv*sd*bc*sc*i*
depends:
vermagic:       2.6.32-5-amd64 SMP mod_unload modversions
parm:           eee_enable:int
parm:           speed:force phy operation. Deprecated by ethtool (8).
(array of int)
parm:           duplex:force phy operation. Deprecated by ethtool (8).
(array of int)
parm:           autoneg:force phy operation. Deprecated by ethtool
(8). (array of int)
parm:           rx_copybreak:Copy breakpoint for copy-only-tiny-frames (int)
parm:           use_dac:Enable PCI DAC. Unsafe on 32 bit PCI slot. (int)
parm:           debug:Debug verbosity level (0=none, ..., 16=all) (int)

************

03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort+ <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 30
	Region 0: I/O ports at de00 [size=256]
	Region 2: Memory at fdcff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at fdcf8000 (64-bit, prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4191
	Capabilities: [70] Express (v2) Endpoint, MSI 01
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0
unlimited, L1 <64us
			ClockPM+ Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive-
BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Range ABCD, TimeoutDis+
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-,
Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance-
ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
		Vector table: BAR=4 offset=00000000
		PBA: BAR=4 offset=00000800
	Capabilities: [d0] Vital Product Data
		Unknown small resource type 00, will not decode more.
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF-
MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF-
MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+
MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 14, GenCap+ CGenEn- ChkCap+ ChkEn-
	Capabilities: [140 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
	Capabilities: [160 v1] Device Serial Number 12-34-56-78-12-34-56-78
	Kernel driver in use: r8168

************

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sat, 29 Oct 2011 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Oct 2011 08:51:03 GMT) Full text and rfc822 format available.

Message #89 received at 627704@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 627704@bugs.debian.org
Subject: kernel-fixed-upstream-v3.1
Date: Sat, 29 Oct 2011 08:47:35 +0000
The R8169 driver in kernel 3.1 fixes the problem :

https://bugs.launchpad.net/bugs/839393

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sat, 29 Oct 2011 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Oct 2011 09:30:13 GMT) Full text and rfc822 format available.

Message #94 received at 627704@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: HacKurx <hackurx@gmail.com>
Cc: 627704@bugs.debian.org
Subject: Re: Realtek Ethernet adapters (r8169 driver)
Date: Sat, 29 Oct 2011 04:26:52 -0500
clone 627704 -1
retitle -1 r8169: connection is not stable, "transmit queue 0 timed out"
notfound -1 2.6.32-34
notfixed -1 linux-2.6/2.6.32-36
notfixed -1 user-mode-linux/2.6.32-1um-4+37
found -1 linux-2.6/2.6.32-36
fixed -1 linux-2.6/3.1.0~rc4-1~experimental.1
tags -1 + fixed-upstream
quit

Hi Loïc,

HacKurx wrote:

> /sbin/modinfo r8169
[...]
> version:        2.3LK-NAPI
[...]
> srcversion:     5CAA67108A468A93A3D3D29
[...]
> NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
[...]
> The R8169 driver in kernel 3.1 fixes the problem :
>
> https://bugs.launchpad.net/bugs/839393

Ok, cloning the bug to track that.

This looks like bug#642911, which does not seem to be fixed in squeeze
yet.  What versions (including Debian revision number) did you test?
Do you happen to know which commit fixes it?  Please also attach
output from "reportbug --template linux-image-$(uname -r)", so we can
see some information about your hardware.




Bug 627704 cloned as bug 647004. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 29 Oct 2011 09:30:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Sat, 29 Oct 2011 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Oct 2011 10:39:09 GMT) Full text and rfc822 format available.

Message #101 received at 627704@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 627704@bugs.debian.org
Subject: Re: kernel-fixed-upstream-v3.1
Date: Sat, 29 Oct 2011 10:36:23 +0000
I use Debian Squeeze 6.0.3, my kernel is :
Linux SRV-01 2.6.32-5-amd64 #1 SMP Mon Oct 3 03:59:20 UTC 2011 x86_64 GNU/Linux

Currently I'm using the r8168 driver. I tested the new driver r8169
compiling a kernel 3.1rc4 and everything works perfectly:
https://launchpadlibrarian.net/83450424/Capture-Linux-x86_64%203.1.0-rc4%20Kernel%20Configuration.png

It's the same problem on launchpad, it's just that I never reported a
bug here sorry.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627704; Package linux-2.6. (Fri, 04 Nov 2011 11:48:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 04 Nov 2011 11:48:24 GMT) Full text and rfc822 format available.

Message #106 received at 627704@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 627704@bugs.debian.org
Subject: Re: kernel-fixed-upstream-v3.1
Date: Fri, 4 Nov 2011 11:46:48 +0000
The new version of the driver (Linux 3.1)

/sbin/modinfo r8169
filename:       /lib/modules/3.1.0-2-generic/kernel/drivers/net/r8169.ko
firmware:       rtl_nic/rtl8105e-1.fw
firmware:       rtl_nic/rtl8168e-3.fw
firmware:       rtl_nic/rtl8168e-2.fw
firmware:       rtl_nic/rtl8168e-1.fw
firmware:       rtl_nic/rtl8168d-2.fw
firmware:       rtl_nic/rtl8168d-1.fw
version:        2.3LK-NAPI
license:        GPL
description:    RealTek RTL-8169 Gigabit Ethernet driver
author:         Realtek and the Linux r8169 crew <netdev@vger.kernel.org>
srcversion:     3E842CC3B34475192563328
alias:          pci:v00000001d00008168sv*sd00002410bc*sc*i*
alias:          pci:v00001737d00001032sv*sd00000024bc*sc*i*
alias:          pci:v000016ECd00000116sv*sd*bc*sc*i*
alias:          pci:v00001259d0000C107sv*sd*bc*sc*i*
alias:          pci:v00001186d00004302sv*sd*bc*sc*i*
alias:          pci:v00001186d00004300sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008169sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008168sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008167sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008136sv*sd*bc*sc*i*
alias:          pci:v000010ECd00008129sv*sd*bc*sc*i*
depends:
vermagic:       3.1.0-2-generic SMP mod_unload modversions
parm:           use_dac:Enable PCI DAC. Unsafe on 32 bit PCI slot. (int)
parm:           debug:Debug verbosity level (0=none, ..., 16=all) (int)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:30:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.